<html>

<head>
	<meta content="text/html;charset=utf-8" http-equiv="Content-Type">
	<meta content="utf-8" http-equiv="encoding">
	<link rel="stylesheet" href="bootstrap-3.3.7/css/bootstrap.min.css">
	<link rel="stylesheet" href="bootstrap-3.3.7/css/bootstrap-theme.min.css">
	<meta charset="ISO-8859-1">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<style>
		.gp1 {
			background-position-x: -173px;
			background-position-y: -550px;
		}

		.gp2 {
			background-position-x: -173px;
			background-position-y: -525px;
		}

		.gp3 {
			background-position-x: -173px;
			background-position-y: -500px;
		}

		.gp4 {
			background-position-x: -173px;
			background-position-y: -475px;
		}

		.gp5 {
			background-position-x: -173px;
			background-position-y: -450px;
		}

		.gp6 {
			background-position-x: -173px;
			background-position-y: -425px;
		}

		.gp7 {
			background-position-x: -173px;
			background-position-y: -400px;
		}

		.gp8 {
			background-position-x: -173px;
			background-position-y: -375px;
		}

		.gp9 {
			background-position-x: -173px;
			background-position-y: -350px;
		}

		.gp10 {
			background-position-x: -173px;
			background-position-y: -325px;
		}

		.gp11 {
			background-position-x: -173px;
			background-position-y: -300px;
		}

		.gp12 {
			background-position-x: -173px;
			background-position-y: -275px;
		}

		.gp13 {
			background-position-x: -173px;
			background-position-y: -250px;
		}

		.gp14 {
			background-position-x: -173px;
			background-position-y: -225px;
		}

		.gp15 {
			background-position-x: -173px;
			background-position-y: -200px;
		}

		.gp16 {
			background-position-x: -173px;
			background-position-y: -175px;
		}

		.gp17 {
			background-position-x: -173px;
			background-position-y: -150px;
		}

		.gp18 {
			background-position-x: -173px;
			background-position-y: -125px;
		}

		.gp19 {
			background-position-x: -173px;
			background-position-y: -100px;
		}

		.gp20 {
			background-position-x: -173px;
			background-position-y: -75px;
		}

		.gp21 {
			background-position-x: -173px;
			background-position-y: -50px;
		}

		.gp22 {
			background-position-x: -173px;
			background-position-y: -25px;
		}

		.gp23 {
			background-position-x: -173px;
			background-position-y: -0px;
		}

		.gp24 {
			background-position-x: -173px;
			background-position-y: 25px;
		}

		.gp25 {
			background-position-x: -173px;
			background-position-y: 50px;
		}

		.gp26 {
			background-position-x: -173px;
			background-position-y: 75px;
		}

		.gp27 {
			background-position-x: -173px;
			background-position-y: 100px;
		}

		.gp28 {
			background-position-x: -173px;
			background-position-y: 125px;
		}

		.gp29 {
			background-position-x: -173px;
			background-position-y: 150px;
		}

		.gp30 {
			background-position-x: -173px;
			background-position-y: 175px;
		}

		.gp31 {
			background-position-x: -173px;
			background-position-y: 200px;
		}

		.gp32 {
			background-position-x: -173px;
			background-position-y: 225px;
		}

		.gp33 {
			background-position-x: -173px;
			background-position-y: 250px;
		}

		.gp34 {
			background-position-x: -173px;
			background-position-y: 275px;
		}

		.gp35 {
			background-position-x: -173px;
			background-position-y: 300px;
		}

		.gp36 {
			background-position-x: -173px;
			background-position-y: 325px;
		}

		.gp37 {
			background-position-x: -173px;
			background-position-y: 350px;
		}

		.gp38 {
			background-position-x: -173px;
			background-position-y: 375px;
		}

		.gp39 {
			background-position-x: -173px;
			background-position-y: 400px;
		}

		.gp40 {
			background-position-x: -173px;
			background-position-y: 425px;
		}

		.gp41 {
			background-position-x: -173px;
			background-position-y: 450px;
		}

		.gp42 {
			background-position-x: -173px;
			background-position-y: 475px;
		}

		.gp43 {
			background-position-x: -173px;
			background-position-y: 500px;
		}

		.gp44 {
			background-position-x: -173px;
			background-position-y: 525px;
		}

		.gp45 {
			background-position-x: -173px;
			background-position-y: 550px;
		}

		.gp46 {
			background-position-x: -173px;
			background-position-y: 575px;
		}
	</style>
</head>

<body>
	<div style="background-color:#f2f2f2 ;">
		<h1 style="margin:0">Your GP is :<span id="gpNumber"></span> GP</h1>
	</div>

	<div id="rank" style="width:205px;height:26px;background-image:url(images/Ranks.jpg);">
	</div>
	<div style="background-color:#f2f2f2 ;">
		<input type="text" id="gpInput">

		<img src="images/Ranks.jpg" class="img-responsive">
	</div>

</body>
<script src="js/jquery.min.js"></script>
<script>
	let a = localStorage.getItem("gp");
	let nb = localStorage.getItem("gpNumber");
	$("#gpNumber").text(localStorage.getItem("gp"));
	let gp = 1000000;
	if (nb >= 0 && nb < gp * 2) {
		$("#rank").addClass("gp1");
	}
	if (nb >= gp * 2 && nb < gp * 3) {
		$("#rank").addClass("gp2");
	} if (nb >= gp * 3 && nb < gp * 4) {
		$("#rank").addClass("gp3");
	} if (nb >= gp * 4 && nb < gp * 5) {
		$("#rank").addClass("gp4");
	} if (nb >= gp * 5 && nb < gp * 6) {
		$("#rank").addClass("gp5");
	} if (nb >= gp * 6 && nb < gp * 7) {
		$("#rank").addClass("gp6");
	} if (nb >= gp * 7 && nb < gp * 8) {
		$("#rank").addClass("gp7");
	} if (nb >= gp * 8 && nb < gp * 9) {
		$("#rank").addClass("gp8");
	} if (nb >= gp * 9 && nb < gp * 10) {
		$("#rank").addClass("gp9");
	} if (nb >= gp * 10 && nb < gp * 11) {
		$("#rank").addClass("gp10");
	} if (nb >= gp * 11 && nb < gp * 12) {
		$("#rank").addClass("gp11");
	} if (nb >= gp * 12 && nb < gp * 13) {
		$("#rank").addClass("gp12");
	} if (nb >= gp * 13 && nb < gp * 14) {
		$("#rank").addClass("gp13");
	} if (nb >= gp * 14 && nb < gp * 15) {
		$("#rank").addClass("gp14");
	} if (nb >= gp * 15 && nb < gp * 16) {
		$("#rank").addClass("gp15");
	} if (nb >= gp * 16 && nb < gp * 17) {
		$("#rank").addClass("gp16");
	} if (nb >= gp * 17 && nb < gp * 18) {
		$("#rank").addClass("gp17");
	} if (nb >= gp * 18 && nb < gp * 19) {
		$("#rank").addClass("gp18");
	} if (nb >= gp * 19 && nb < gp * 20) {
		$("#rank").addClass("gp19");
	} if (nb >= gp * 20 && nb < gp * 21) {
		$("#rank").addClass("gp20");
	} if (nb >= gp * 21 && nb < gp * 22) {
		$("#rank").addClass("gp21");
	} if (nb >= gp * 22 && nb < gp * 23) {
		$("#rank").addClass("gp22");
	} if (nb >= gp * 23 && nb < gp * 24) {
		$("#rank").addClass("gp23");
	} if (nb >= gp * 24 && nb < gp * 25) {
		$("#rank").addClass("gp24");
	} if (nb >= gp * 25 && nb < gp * 26) {
		$("#rank").addClass("gp25");
	} if (nb >= gp * 26 && nb < gp * 27) {
		$("#rank").addClass("gp26");
	} if (nb >= gp * 27 && nb < gp * 28) {
		$("#rank").addClass("gp27");
	} if (nb >= gp * 28 && nb < gp * 29) {
		$("#rank").addClass("gp28");
	} if (nb >= gp * 29 && nb < gp * 30) {
		$("#rank").addClass("gp29");
	} if (nb >= gp * 30 && nb < gp * 31) {
		$("#rank").addClass("gp30");
	} if (nb >= gp * 31 && nb < gp * 32) {
		$("#rank").addClass("gp31");
	} if (nb >= gp * 32 && nb < gp * 33) {
		$("#rank").addClass("gp23");
	} if (nb >= gp * 33 && nb < gp * 34) {
		$("#rank").addClass("gp33");
	} if (nb >= gp * 34 && nb < gp * 35) {
		$("#rank").addClass("gp34");
	} if (nb >= gp * 35 && nb < gp * 36) {
		$("#rank").addClass("gp35");
	} if (nb >= gp * 36 && nb < gp * 37) {
		$("#rank").addClass("gp36");
	} if (nb >= gp * 37 && nb < gp * 38) {
		$("#rank").addClass("gp37");
	} if (nb >= gp * 38 && nb < gp * 39) {
		$("#rank").addClass("gp38");
	} if (nb >= gp * 39 && nb < gp * 40) {
		$("#rank").addClass("gp39");
	} if (nb >= gp * 40 && nb < gp * 41) {
		$("#rank").addClass("gp40");
	} if (nb >= gp * 41 && nb < gp * 42) {
		$("#rank").addClass("gp41");
	} if (nb >= gp * 42 && nb < gp * 43) {
		$("#rank").addClass("gp42");
	} if (nb >= gp * 43 && nb < gp * 44) {
		$("#rank").addClass("gp43");
	} if (nb >= gp * 44 && nb < gp * 45) {
		$("#rank").addClass("gp44");
	} if (nb >= gp * 45 && nb < gp * 46) {
		$("#rank").addClass("gp45");
	} if (nb >= gp * 46 && nb < gp * 47) {
		$("#rank").addClass("gp46");
	}
	$("#gpInput").change(function () {
		let price = $("#gpInput").val();
		var newprice = Math.ceil(price).toString();
		for (let i = 1; i <= price.toString().length / 3; i++) {
			let x = 3 * i;
			newprice = newprice.replace(/(\d+)(\d{3})/, "$1" + "." + "$2");
		}
		localStorage.setItem("gp", newprice);
		localStorage.setItem("gpNumber", price);
	});
</script>

</html>